package example.codes;


import java.io.FileOutputStream;
import java.io.IOException;

import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;


public class DownloadDocuments {
	
	
	public static void main(String[] args) throws IOException{
		
		MyInfo info = new MyInfo();
		
		EslClient eslClient = new EslClient(info.API_KEY_SANDBOX, info.API_URL_SANDBOX);
		
		PackageId packageId = new PackageId("SCcCLU25FgqAdDcJ8Yzombm_v40=");
		String documentId = "13ab5ae288f18709";
		
		FileOutputStream stream1 = new FileOutputStream("C:/Users/hhaidary/Desktop/Example/signed_document.pdf");
		FileOutputStream stream2 = new FileOutputStream("C:/Users/hhaidary/Desktop/Example/original_document.pdf");
		FileOutputStream stream3 = new FileOutputStream("C:/Users/hhaidary/Desktop/Example/signed_documents.zip");
		FileOutputStream stream4 = new FileOutputStream("C:/Users/hhaidary/Desktop/Example/evidence_summary.pdf");
		
		// Retrieve the bytes of the document (with fields)
	    byte[] pdfDocumentBytes = eslClient.downloadDocument(packageId, documentId);
	    
	    try{
	    	stream1.write(pdfDocumentBytes);
	    } finally {
	    	stream1.close();
	    }

	    // Retrieve the bytes of the original document (without fields)
	    byte[] originalPdfDocumentBytes = eslClient.downloadOriginalDocument(packageId, documentId);
	    
	    try{
	    	stream2.write(originalPdfDocumentBytes);
	    } finally {
	    	stream2.close();
	    }

	    // Retrieve the bytes of the zipped file containing all the documents in the package
	    byte[] zippedDocumentsBytes = eslClient.downloadZippedDocuments(packageId);
	    
	    try{
	    	stream3.write(zippedDocumentsBytes);
	    } finally {
	    	stream3.close();
	    }
	    
	    //Retrieve the bytes of the evidence summary
	    byte[] evidenceBytes = eslClient.downloadEvidenceSummary(packageId);
	    
	    try{
	    	stream4.write(evidenceBytes);
	    } finally {
	    	stream4.close();
	    }
	}

}
